# P

## particle\_animation（触发技能）

该技能作用是播放粒子动画。

```
- id: particle_animation
  args:
    particle: soul
    particle-amount: 1
    animation: ground_spiral
    tick-multiplier: 1
    entity: player
    use-eye-location: true
    particle_args:
      scalar: 1.618
      distance-scalar: 0.5
      duration: 20
```

其中：

* args.particle：原版粒子 id。可以在 [**这里**](https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Particle.html) 查看。
* args.particle-amount：原版粒子的数量。
* args.animation：粒子效果 id。可以在 [**插件原 Wiki**](https://plugins.auxilor.io/effects/all-effects/particle_animation) 查看。
* args.tick-multiplier：动画加速加倍值。
* args.entity：粒子动画释放的目标。可以是 player（玩家）、victim（对象）、projectile（抛掷物）。
* args.use-eye-location：将目标所在的坐标设置为粒子动画释放位置，而不是默认的在地上。
* args.particle\_args：粒子参数。

## permanent\_potion\_effect（永久技能）

该技能的作用是给予玩家永久药水效果。

```
- id: permanent_potion_effect
  args:
    effect: confusion
    level: 2
```

其中：

* args.effect：药水id。
* args.level：药水等级。

## pet\_xp\_multiplier（永久技能）

该技能的作用是加倍玩家获得的宠物经验值。

```
- id: pet_xp_multiplier
  args:
    multiplier: 1.5
    pets:
      - tiger
      - golem 
```

其中：

* args.multiplier：加倍值。
* args.pets：作用的宠物id。将该参数删除将会作用于所有宠物。

## play\_sound（触发技能）

该技能的作用是播放音效。

```
- id: play_sound
  args:
    sound: entity_wolf_growl
    pitch: 0.7
    volume: 10
```

其中：

* args.sound：音效id。可以在 [**此处**](https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Sound.html) 查看。
* args.pitch、args.volume：音效参数。

## potion\_effect（触发技能）

该技能作用是给予玩家临时的药水效果。

```
- id: potion_effect
  args:
    effect: blindness
    level: 1
    duration: 40
    apply_to_player: false
```

其中：

* args.effect：药水id。可以在 [**这里**](https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/potion/PotionEffectType.html) 查看。
* args.level：药水等级。
* args.duration：药水时长。
* args.apply\_to\_player：是否作用于玩家。

## pull\_to\_location（触发技能）

该技能的作用是将玩家向所面向方向拉动（就像很多 PvP 服的钓鱼竿拉人那种效果）。

```
- id: pull_to_location
  args:
    velocity: 1.5
```

其中：

* args.velocity：拉动推力，越大玩家拉的就越远。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/p.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
